# Generated by Django 4.0 on 2021-12-17 03:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('static_behaviours', '0001_initial'),
        ('telemetry', '0005_malware_dynamic_behaviours'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='importlibpair',
            name='import_name',
        ),
        migrations.RemoveField(
            model_name='importlibpair',
            name='library_name',
        ),
        migrations.RemoveField(
            model_name='networkbehaviour',
            name='malware',
        ),
        migrations.RemoveField(
            model_name='malware',
            name='arch',
        ),
        migrations.RemoveField(
            model_name='malware',
            name='binary_size',
        ),
        migrations.RemoveField(
            model_name='malware',
            name='compilation_date',
        ),
        migrations.RemoveField(
            model_name='malware',
            name='import_pairs',
        ),
        migrations.RemoveField(
            model_name='malware',
            name='language',
        ),
        migrations.AddField(
            model_name='malware',
            name='static_behaviours',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.staticbehaviour'),
        ),
        migrations.DeleteModel(
            name='FileBehaviour',
        ),
        migrations.DeleteModel(
            name='Import',
        ),
        migrations.DeleteModel(
            name='ImportLibPair',
        ),
        migrations.DeleteModel(
            name='Library',
        ),
        migrations.DeleteModel(
            name='NetworkBehaviour',
        ),
    ]
